# Uses of Enum Class org.bukkit.Fluid (Scissors-API 1.19-R0.1-SNAPSHOT API)
use: package: org.bukkit, enum: Fluid

# Uses of Enum Class
org.bukkit.Fluid

Packages that use Fluid
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.

## Uses of Fluid in org.bukkit

Fields in org.bukkit with type parameters of type Fluid
Modifier and Type
Field
Description
`static final Registry<Fluid>`
Registry.`FLUID`
Server fluids.
`static final Tag<Fluid>`
Tag.`FLUIDS_LAVA`
Vanilla fluid tag representing lava and flowing lava.
`static final Tag<Fluid>`
Tag.`FLUIDS_WATER`
Vanilla fluid tag representing water and flowing water.
Methods in org.bukkit that return Fluid
Modifier and Type
Method
Description
`static Fluid`
Fluid.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Fluid[]`
Fluid.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.